Subject: bug#32226: shadowfile test failures

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jul 2018 17:21:58 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 Jul 2018 15:59:21 +0200
> 
> > I don't see why this would be impossible.  The test suite is run from
> > the MSYS Bash anyway, and if I start Emacs from there, I get this:
> >
> >   (executable-find "sh")
> >     => "d:/usr/MSYS/bin/sh.exe"
> 
> The test suite is also run interactively (that's what I do), so it
> cannot be guaranteed that (executable-find "sh") gives a non-nil
> result. For this case, there is the REMOTE_TEMPORARY_FILE_DIRECTORY trick.

We could instead ask people to set explicit-shell-file-name.

> (All of this shouldn't stop us from closing this bug report, after
> confirmation of Glenn)

Right.